from sympy.generator import FormulaGenerator
from sympy.util import RandomChoice, RandomDecidedTruthValue
custom_randomized_settings = {
    "root_notation": RandomDecidedTruthValue(0.7),
    "frac": RandomChoice([r"\frac", r"\mycustomfrac"], weights=[2, 10]),
}
formula = r"\frac{1}{\sqrt{2}} = \frac{\sqrt{2}}{2}"
generator = FormulaGenerator(formula, randomize_settings=custom_randomized_settings)
for version, _ in generator.generate_versions_iterator(max=3, only_true_version=True, initial_is_candidate=False):
    print(version)
